NNO Docs
API ReferenceCli service

NNO CLI Service API

Backend API for the NNO CLI.

Create platform repo

POST
/api/v1/platforms

Request Body

application/json

platformId*string
Length1 <= length
displayName*string
Length1 <= length
planTier*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cli.svc.nno.app/api/v1/platforms" \  -H "Content-Type: application/json" \  -d '{    "platformId": "string",    "displayName": "string",    "planTier": "string"  }'
{
  "platformId": "string",
  "repoFullName": "string",
  "status": "exists"
}
{
  "platformId": "string",
  "repoFullName": "string",
  "status": "created"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}

Get repo info

GET
/api/v1/platforms/{platformId}/repo

Path Parameters

platformId*string

Response Body

application/json

application/json

curl -X GET "https://cli.svc.nno.app/api/v1/platforms/string/repo"
{
  "platformId": "string",
  "repoFullName": "string",
  "defaultBranch": "string",
  "cfPagesProjectName": "string",
  "createdAt": 0
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}

Activate feature

POST
/api/v1/platforms/{platformId}/features/activate

Path Parameters

platformId*string

Request Body

application/json

featureId*string
Length1 <= length
version*string
Length1 <= length
config?
Default{}

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cli.svc.nno.app/api/v1/platforms/string/features/activate" \  -H "Content-Type: application/json" \  -d '{    "featureId": "string",    "version": "string"  }'
{
  "status": "activated",
  "featureId": "string",
  "version": "string"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}

Deactivate feature

POST
/api/v1/platforms/{platformId}/features/deactivate

Path Parameters

platformId*string

Request Body

application/json

featureId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cli.svc.nno.app/api/v1/platforms/string/features/deactivate" \  -H "Content-Type: application/json" \  -d '{    "featureId": "string"  }'
{
  "status": "deactivated",
  "featureId": "string"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}

Trigger deploy

POST
/api/v1/platforms/{platformId}/deploy

Path Parameters

platformId*string

Response Body

application/json

application/json

application/json

curl -X POST "https://cli.svc.nno.app/api/v1/platforms/string/deploy"
{
  "deploymentId": "string",
  "url": "string"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}

Get build status

GET
/api/v1/platforms/{platformId}/build-status

Path Parameters

platformId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://cli.svc.nno.app/api/v1/platforms/string/build-status"
{
  "platformId": "string",
  "cfPagesProjectName": "string",
  "latestDeployment": {
    "id": "string",
    "status": "active",
    "url": "string",
    "createdOn": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}

Provision secrets

POST
/api/v1/platforms/{platformId}/secrets

Path Parameters

platformId*string

Request Body

application/json

secrets*

Response Body

application/json

application/json

application/json

curl -X POST "https://cli.svc.nno.app/api/v1/platforms/string/secrets" \  -H "Content-Type: application/json" \  -d '{    "secrets": {      "property1": "string",      "property2": "string"    }  }'
{
  "platformId": "string",
  "results": {
    "property1": "ok",
    "property2": "ok"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}